Uploaded image for project: 'ZooKeeper'
  1. ZooKeeper
  2. ZOOKEEPER-1645

ZooKeeper OSGi package imports not complete

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.4.6, 3.5.0
    • Fix Version/s: 3.4.6, 3.5.0
    • Component/s: None
    • Labels:
      None
    • Hadoop Flags:
      Reviewed

      Description

      The ZooKeeper bundle relies on three packages it currently does not declare in the Import-Package MANIFEST header: javax.security.auth.callback , javax.security.auth.login and javax.security.sasl . By adding these the ZooKeeper jar will be a valid OSGi bundle.

        Attachments

        1. ZOOKEEPER-1645.patch
          2 kB
          Arnoud Glimmerveen

          Issue Links

            Activity

              People

              • Assignee:
                arnoud Arnoud Glimmerveen
                Reporter:
                arnoud Arnoud Glimmerveen
              • Votes:
                0 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: